- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IDataSource IItemDataRenderer IRepeatInfoUser TActiveFileUpload TBaseDataList TBaseValidator TBoundColumn TBulletedList TBulletedListDisplayMode TBulletedListEventParameter TBulletStyle TButton TButtonColumn TButtonColumnType TButtonType TCaptcha TCaptchaValidator TCheckBox TCheckBoxColumn TCheckBoxList TCircleHotSpot TClientScript TClientScriptLoader TClientSideValidationSummaryOptions TColorPicker TColorPickerClientSide TColorPickerMode TCompareValidator TCompleteWizardStep TConditional TContent TContentDirection TContentPlaceHolder TCustomValidator TDataBoundControl TDataGrid TDataGridColumn TDataGridColumnCollection TDataGridCommandEventParameter TDataGridItem TDataGridItemCollection TDataGridItemEventParameter TDataGridItemRenderer TDataGridPageChangedEventParameter TDataGridPager TDataGridPagerButtonType TDataGridPagerEventParameter TDataGridPagerMode TDataGridPagerPosition TDataGridPagerStyle TDataGridSortCommandEventParameter TDataList TDataListCommandEventParameter TDataListItem TDataListItemCollection TDataListItemEventParameter TDataListItemRenderer TDataRenderer TDataSourceControl TDataSourceSelectParameters TDataSourceView TDataTypeValidator TDatePicker TDatePickerClientScript TDatePickerInputMode TDatePickerMode TDatePickerPositionMode TDisplayStyle TDraggable TDropContainer TDropDownList TDropDownListColumn TEditCommandColumn TEmailAddressValidator TExpression TFileUpload TFont THiddenField THorizontalAlign THotSpot THotSpotCollection THotSpotMode THtmlArea THtmlElement THyperLink THyperLinkColumn TImage TImageButton TImageClickEventParameter TImageMap TImageMapEventParameter TInlineFrame TInlineFrameAlign TInlineFrameScrollBars TItemDataRenderer TJavascriptLogger TKeyboard TLabel TLinkButton TListBox TListControl TListControlValidator TListItem TListItemCollection TListItemType TListSelectionMode TLiteral TLiteralColumn TMarkdown TMetaTag TMetaTagCollection TMultiView TOutputCache TOutputCacheCalculateKeyEventParameter TOutputCacheCheckDependencyEventParameter TPager TPagerButtonType TPagerMode TPagerPageChangedEventParameter TPanel TPanelStyle TPlaceHolder TPolygonHotSpot TRadioButton TRadioButtonList TRangeValidationDataType TRangeValidator TRatingList TReadOnlyDataSource TReadOnlyDataSourceView TRectangleHotSpot TRegularExpressionValidator TRepeatDirection TRepeater TRepeaterCommandEventParameter TRepeaterItem TRepeaterItemCollection TRepeaterItemEventParameter TRepeaterItemRenderer TRepeatInfo TRepeatLayout TRequiredFieldValidator TSafeHtml TScrollBars TServerValidateEventParameter TSlider TSliderClientScript TSliderDirection TStatements TStyle TStyleSheet TTable TTableCaptionAlign TTableCell TTableCellCollection TTableFooterRow TTableGridLines TTableHeaderCell TTableHeaderRow TTableHeaderScope TTableItemStyle TTableRow TTableRowCollection TTableRowSection TTableStyle TTabPanel TTabView TTabViewCollection TTemplateColumn TTemplatedWizardStep TTextAlign TTextBox TTextBoxAutoCompleteType TTextBoxMode TTextHighlighter TTextHighlighterLineNumberStyle TValidationCompareOperator TValidationDataType TValidationSummary TValidationSummaryDisplayMode TValidationSummaryDisplayStyle TValidatorClientSide TValidatorDisplayStyle TVerticalAlign TView TViewCollection TWebControl TWebControlAdapter TWizard TWizardFinishNavigationTemplate TWizardNavigationButtonStyle TWizardNavigationButtonType TWizardNavigationContainer TWizardNavigationEventParameter TWizardNavigationTemplate TWizardSideBarListItemTemplate TWizardSideBarTemplate TWizardStartNavigationTemplate TWizardStep TWizardStepCollection TWizardStepNavigationTemplate TWizardStepType TXmlTransform |
Keyword
# Class TPanelStyle
    TComponent
       |
       --TStyle
          |
          --TPanelStyle
#### Direct Known Sub-classes: TDataGridPagerStyle TPanelStyle class. TPanelStyle represents the CSS style specific for panel HTML tag. Since: 3.0 Author: Qiang Xue <qiang.xue@gmail.com>
Method Summary
void | addAttributesToRender ( THtmlWriter $writer) Adds attributes related to CSS styles to renderer.
void | copyFrom ( TStyle $style) Copies the fields in a new style to this style.
string | getBackImageUrl ()
TContentDirection | getDirection ()
THorizontalAlign | getHorizontalAlign ()
TScrollBars | getScrollBars ()
boolean | getWrap ()
void | mergeWith ( TStyle $style) Merges the style with a new one.
void | reset () Sets the style attributes to default values.
void | setBackImageUrl ( string $value) Sets the URL of the background image for the panel component.
void | setDirection ( TContentDirection $value)
void | setHorizontalAlign ( THorizontalAlign $value) Sets the horizontal alignment of the contents within the panel.
void | setScrollBars ( TScrollBars $value)
void | setWrap ( boolean $value) Sets the value indicating whether the content wraps within the panel.
Methods Inherited From TStyle
TStyle::addAttributesToRender(), TStyle::clearStyleField(), TStyle::copyFrom(), TStyle::getBackColor(), TStyle::getBorderColor(), TStyle::getBorderStyle(), TStyle::getBorderWidth(), TStyle::getCssClass(), TStyle::getCustomStyle(), TStyle::getDisplayStyle(), TStyle::getFont(), TStyle::getForeColor(), TStyle::getHeight(), TStyle::getStyleField(), TStyle::getStyleFields(), TStyle::getWidth(), TStyle::hasCssClass(), TStyle::hasFont(), TStyle::hasStyleField(), TStyle::mergeWith(), TStyle::reset(), TStyle::setBackColor(), TStyle::setBorderColor(), TStyle::setBorderStyle(), TStyle::setBorderWidth(), TStyle::setCssClass(), TStyle::setCustomStyle(), TStyle::setDisplayStyle(), TStyle::setForeColor(), TStyle::setHeight(), TStyle::setStyleField(), TStyle::setWidth(), TStyle::__clone()
Methods Inherited From TComponent
TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()
Method Details
## addAttributesToRender
public void addAttributesToRender | (THtmlWriter $writer )
Adds attributes related to CSS styles to renderer. This method overrides the parent implementation.
Input
THtmlWriter | $writer | the writer used for the rendering purpose
Output
Exception
## copyFrom
public void copyFrom | (TStyle $style )
Copies the fields in a new style to this style. If a style field is set in the new style, the corresponding field in this style will be overwritten.
Input
TStyle | $style | the new style
Output
Exception
## getBackImageUrl
public string getBackImageUrl | ()
Output
string | the URL of the background image for the panel component.
Exception
## getDirection
public TContentDirection getDirection | ()
Output
TContentDirection | alignment of the content in the panel. Defaults to TContentDirection::NotSet.
Exception
## getHorizontalAlign
public THorizontalAlign getHorizontalAlign | ()
Output
THorizontalAlign | the horizontal alignment of the contents within the panel, defaults to THorizontalAlign::NotSet.
Exception
## getScrollBars
public TScrollBars getScrollBars | ()
Output
TScrollBars | the visibility and position of scroll bars in a panel control, defaults to TScrollBars::None.
Exception
## getWrap
public boolean getWrap | ()
Output
boolean | whether the content wraps within the panel. Defaults to true.
Exception
## mergeWith
public void mergeWith | (TStyle $style )
Merges the style with a new one. If a style field is not set in this style, it will be overwritten by the new one.
Input
TStyle | $style | the new style
Output
Exception
## reset
public void reset | ()
Sets the style attributes to default values. This method overrides the parent implementation by resetting additional TPanelStyle specific attributes.
Output
Exception
## setBackImageUrl
public void setBackImageUrl | (string $value )
Sets the URL of the background image for the panel component.
Input
string | $value | the URL
Output
Exception
## setDirection
public void setDirection | (TContentDirection $value )
Input
TContentDirection | $value | alignment of the content in the panel.
Output
Exception
## setHorizontalAlign
public void setHorizontalAlign | (THorizontalAlign $value )
Sets the horizontal alignment of the contents within the panel.
Input
THorizontalAlign | $value | the horizontal alignment
Output
Exception
## setScrollBars
public void setScrollBars | (TScrollBars $value )
Input
TScrollBars | $value | the visibility and position of scroll bars in a panel control.
Output
Exception
## setWrap
public void setWrap | (boolean $value )
Sets the value indicating whether the content wraps within the panel.
Input
boolean | $value | whether the content wraps within the panel.
Output
Exception